#include "cmnUtils.h"
#include "cmnDriver.h"
#include "test_driver.h"
#include "iomanip"

int do_summ(int a, int b)
{
    cmn::CDriver driver(TESTWOW_TEST_SYMBOLIC_LINK_USERMODE);
    DWORD dwRes = 0;

    OldRequest_type request;
    request.a = a;
    request.b = b;
    request.c = 0;

    driver.SendIoCtl(TESTWOW_TEST, &request, sizeof(request), &dwRes);

    std::cout<<request.c<<"\n";
    return 0;
}

static void PrintUsage()
{
    std::cout<<"Usage: a b\n";
}

int wmain(int argc, wchar_t * argv[])
{
    try
    {
        if (argc != 3)
        {
            PrintUsage();
            return 0;
        }

        int a = _wtoi(argv[1]);
        int b = _wtoi(argv[2]);

        do_summ(a, b);
        return 0;
    }
    catch(std::exception & e)
    {
        std::cout<<e.what()<<"\n";
    }
    return 0;
}